#!/bin/sh

# Figure out our root directory
ROOTDIR=$(pwd)
unset CHROOT
if [ "${ROOTDIR}" != "/" ] ; then
  ROOTDIR="${ROOTDIR}/"
  CHROOT="chroot ${ROOTDIR} "
fi

if [ -x usr/bin/install-info ] ; then
 ${CHROOT} usr/bin/install-info --info-dir=usr/share/info usr/share/info/libext2fs.info.gz 2>/dev/null
fi

( cd usr/share/man/man8 ; rm -rf fsck.ext3.8.gz )
( cd usr/share/man/man8 ; ln -sf e2fsck.8.gz fsck.ext3.8.gz )
( cd usr/share/man/man8 ; rm -rf fsck.ext4.8.gz )
( cd usr/share/man/man8 ; ln -sf e2fsck.8.gz fsck.ext4.8.gz )
( cd usr/share/man/man8 ; rm -rf fsck.ext2.8.gz )
( cd usr/share/man/man8 ; ln -sf e2fsck.8.gz fsck.ext2.8.gz )
( cd usr/share/man/man8 ; rm -rf mkfs.ext3.8.gz )
( cd usr/share/man/man8 ; ln -sf mke2fs.8.gz mkfs.ext3.8.gz )
( cd usr/share/man/man8 ; rm -rf mkfs.ext4.8.gz )
( cd usr/share/man/man8 ; ln -sf mke2fs.8.gz mkfs.ext4.8.gz )
( cd usr/share/man/man8 ; rm -rf mkfs.ext2.8.gz )
( cd usr/share/man/man8 ; ln -sf mke2fs.8.gz mkfs.ext2.8.gz )
( cd usr/share/man/man8 ; rm -rf e2fsck.static.gz )
( cd usr/share/man/man8 ; ln -sf e2fsck.8.gz e2fsck.static.gz )
